#include "pntrs.h"

extern int debug;

int
compar( char *a, char *b )
{
	char *p, *q, *r, *s;
	char x, y;
	int i;

	if( debug > 4 )
			fprintf( stderr, "compar: >%s<\n        >%s<\n", a, b );
	if(( a == NULL ) || ( b == NULL )) {
		fprintf( stderr,
			  "compar: presented with a NULL pointer. a = 0x%07x, b = 0x%07x\n",
			  (int)a, (int)b );
		fprintf( stderr,
				  "compar: a = %s\n        b = %s\n",
				  a, b );
		return(0);
	}
	for( p = a;
		  *p != '\0' && *p != ' ' && *p != '\t' && *p != '\n'; p++ );
	x = *p;
	*p = '\0';
	for( q = b;
		  *q != '\0' && *q != ' ' && *q != '\t' && *q != '\n'; q++ );
	y = *q;
	*q = '\0';
	for( r = a, s = b; *r == *s && *r && *s; r++, s++ );
	i = (int) (*r - *s);
	*p = x;
	*q = y;
	return( i );
}
